/* AnalogThermometer
 *  
 * Hőmérés MCP9700 hőmérővel. Az A4 analóg bementre
 * kötött MCP9700 hőmérő jelét a beépített 1.1 V-os referenciához 
 * képest mérjük, az eredményt Celsius fokokra átszámítjuk. 
 * A soros porton kiíratjuk a mért feszültséget 
 * és az ebből számolt hőmérsékletet is. 
 * A mérések között 5 ymásodperces szünetet tartunk.
 *  
 * Az MCP9700 hőmérő nullapontja = 500 mV, érzékenysége = 10 mV/C
 */

void setup () {
   Serial.begin(9600);
   analogReference(INTERNAL);
   Serial.println("Analóg hőmérő");
}

void loop () {
   long reading = analogRead (A4);
   long voltage = reading*1100/1024;     // Átszámítjuk mV-ba
   Serial.print (voltage);
   Serial.print (" mV, ");
   float tempC = (voltage - 500)/10.0;   // Átszámítjuk Celsius fokokra
   Serial.print (tempC,1);
   Serial.print (" ºC, ");
   float tempF = (tempC * 9/5) + 32;     // Celsiusból Fahrenheit fokokba
   Serial.print (tempF,1);
   Serial.println (" ºF");
   delay (5000);
}
